package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.VolumeGroupSnapModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface VolumeGroupSnapProvider extends SuperProvider {
    @Override
    public boolean accessable();

    public BocloudResult list();

    public BocloudResult create(VolumeGroupSnapModel groupSnapModel);

    public BocloudResult modify(VolumeGroupSnapModel groupSnapModel);

    public BocloudResult remove(String groupSnapUuid);
}
